<div class="container weather-wrapper">
  <div class="columns">
    <section class="column">
      <app-weather-forecast-currently [units]="apiOptions.units" (unitWasSet)="unitClicked($event)" [currentWeatherData]="mainWeather$ | async"></app-weather-forecast-currently>
    </section>

    <div class="column is-two-thirds">
      <section class="column is-full">
        <app-cities [cities]="cities" (citySelected)="getWeatherByCity($event)"></app-cities>
      </section>

      <section class="column is-full" *ngIf="chartData">
        <figure class="chart-container">
          <ngx-charts-area-chart
            [scheme]="colorScheme"
            [results]="chartData"
            [yScaleMin]="-10"
            [autoScale]="false"
            [curve]="curve">
          </ngx-charts-area-chart>
        </figure>
      </section>

      <section class="column is-full">
        <app-weather-forecast-hourly [hourlyData]="mainForecast$ | async"></app-weather-forecast-hourly>
      </section>
    </div>
  </div>

  <div class="columns is-gapless is-multiline">
    <section class="column">
      <app-weather-forecast-hourly-table [hourlyData]="mainForecast$ | async"></app-weather-forecast-hourly-table>
    </section>
  </div>
</div>
